PERL = perl
MERGE_SCRIPT = $(PERL) $(EPAGES_CARTRIDGES)/DE_EPAGES/CodeGenerator/Scripts/mergeCvsBranch.pl -server -nostop
MERGE		 = $(MERGE_SCRIPT) -merge
MERGE_SUBDIRS = $(MERGE_SCRIPT) -subdir -merge
MERGE_FILES = $(MAKE) -f dailyMerge.mak merge_files
CVS_EPAGES5 = RND/epages/epages5
CVS_ALLOS = $(CVS_EPAGES5)/AllOS
CVS_DE_EPAGES = $(CVS_ALLOS)/Cartridges/DE_EPAGES

default: merge_cartridges merge_other

#to merge single dev branches use following command: "nmake -f dailyMerge.mak EPG-27957"

#aurban
EPG-29825:
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Customer
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/CustomForm
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Forum
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MailType
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Newsletter
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductRating
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductRecommendation
	$(MERGE) EPG-29825 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopMailType

#skersten
EPG-30843:
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/RemoteSearch
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ProductRating
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-30843 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery

#agrohmann
EPG-31960:
	$(MERGE) EPG-31960 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Installer

#wloch
EPG-35726:
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Cartridge
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Permission
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shop
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Core
	$(MERGE) EPG-35726 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/WebInterface

#agrohmann
generated_patch_code:
	$(MERGE) generated_patch_code -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES

EPG-35812:
	$(MERGE) EPG-35812 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Mail

EPG-36538:
	$(MERGE) EPG-36538 -cvspath $(CVS_ALLOS)/Patch

EPG-35867:
	$(MERGE) EPG-35867 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product

EPG-36247:
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/JQuery
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Presentation
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Content
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shop
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Shipping
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Amazon
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MeinPaket
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/MultiStore
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/POSTPAY
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/SEO
	$(MERGE) EPG-36247 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/ShopWizard

PM-361:
	$(MERGE) PM-361 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	$(MERGE) PM-361 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Order
	$(MERGE) PM-361 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Design

EPG-36331:
	$(MERGE) EPG-36331 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Ebay

EPG-36327:
	$(MERGE) EPG-36327 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Product
	
EPG-36797:
	$(MERGE) EPG-36797 -cvspath $(CVS_ALLOS)/Patch


EPG-31187:
	$(MERGE) EPG-31187 -cvspath $(CVS_ALLOS)/Cartridges/DE_EPAGES/Ogone
	
AD-136:
	$(MERGE) AD-136 -cvspath $(CVS_ALLOS)/Patch

standard:
#	$(MERGE_SUBDIRS) deployment_6_17_8
#	$(MERGE_SUBDIRS) deployment_6_17_9

merge_cartridges: standard generated_patch_code EPG-36797 EPG-36538 EPG-29825 EPG-30843 EPG-31960 EPG-35726 EPG-35812 EPG-35867 EPG-35867 PM-361 EPG-36331 EPG-36327 EPG-31187

merge_other:
#	$(MERGE_FILES) VERSION=deployment_6_17_8
#	$(MERGE_FILES) VERSION=deployment_6_17_9

merge_files:
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/UNIX
	$(MERGE) $(VERSION) -cvspath $(CVS_EPAGES5)/WinNT
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Cartridges.xml
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/CPAN
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/Training
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Cartridges/RND_EPAGES
	$(MERGE_SUBDIRS) $(VERSION) -cvspath $(CVS_ALLOS)/Build
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Doc
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Epages6BinaryUpgrade
#	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/HelpSources
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Languages
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Patch
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/QA
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/RegressionTest
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Scheduler
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Shared
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Update
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/WebServiceExamples
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/Sybase
	$(MERGE) $(VERSION) -cvspath $(CVS_ALLOS)/FlashSources

# when you get the error
#	 "cvs checkout: cannot open CVS/Entries for reading: No such file or directory"
# tag removed files:
#	 cvs rtag -F -a -r B_patch_6_0_3 M_patch_6_0_3 RND/epages/epages5/UNIX
